Multivariate Pattern Analysis in Python

# mvpa2.featsel.base.ConditionalAttribute

class `mvpa2.featsel.base.``ConditionalAttribute`(enabled=True, *args, **kwargs)

  Simple container intended to conditionally store the value

  Attributes

  `enabled` |
  `is_set` |
  `name` |
  `value` |

  Methods

  Parameters:

  enabled : bool

  > If a ConditionalAttribute is not enabled then assignment of any value has no effect, i.e. nothing is stored.

  **kwargs

  > Passed to `IndexedCollectable`

  Attributes

  `enabled` |
  `is_set` |
  `name` |
  `value` |

  Methods

  `enabled`
  `reset`()

    Simply detach the value, and reset the flag